## AnjutaStatus

AnjutaStatus — Program status such as status message, progress etc.

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | anjuta_status_new ()
void | anjuta_status_set ()
void | anjuta_status_push ()
void | anjuta_status_pop ()
void | anjuta_status_clear_stack ()
void | anjuta_status_busy_push ()
void | anjuta_status_busy_pop ()
void | anjuta_status_set_default ()
void | anjuta_status_add_widget ()
void | anjuta_status ()
void | anjuta_status_set_title_window ()
void | anjuta_status_set_title ()
void | anjuta_status_set_splash ()
void | anjuta_status_disable_splash ()
void | anjuta_status_progress_add_ticks ()
void | anjuta_status_progress_tick ()
void | anjuta_status_progress_increment_ticks ()
void | anjuta_status_progress_pulse ()
void | anjuta_status_progress_reset ()

## Signals

void | busy | Run Last

## Types and Values

| AnjutaStatusPriv

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── AnjutaStatus

## Includes

    #include <libanjuta/anjuta-status.h>

## Description

## Functions

### anjuta_status_new ()

    GtkWidget *
    anjuta_status_new (void);

### anjuta_status_set ()

    void
    anjuta_status_set (AnjutaStatus *status,
                       const gchar *mesg,
                       ...);

### anjuta_status_push ()

    void
    anjuta_status_push (AnjutaStatus *status,
                        const gchar *mesg,
                        ...);

### anjuta_status_pop ()

    void
    anjuta_status_pop (AnjutaStatus *status);

### anjuta_status_clear_stack ()

    void
    anjuta_status_clear_stack (AnjutaStatus *status);

### anjuta_status_busy_push ()

    void
    anjuta_status_busy_push (AnjutaStatus *status);

### anjuta_status_busy_pop ()

    void
    anjuta_status_busy_pop (AnjutaStatus *status);

### anjuta_status_set_default ()

    void
    anjuta_status_set_default (AnjutaStatus *status,
                               const gchar *label,
                               const gchar *value_format,
                               ...);

### anjuta_status_add_widget ()

    void
    anjuta_status_add_widget (AnjutaStatus *status,
                              GtkWidget *widget);

### anjuta_status ()

    void
    anjuta_status (AnjutaStatus *status,
                   const gchar *mesg,
                   gint timeout);

[skip]

### anjuta_status_set_title_window ()

    void
    anjuta_status_set_title_window (AnjutaStatus *status,
                                    GtkWidget *window);

### anjuta_status_set_title ()

    void
    anjuta_status_set_title (AnjutaStatus *status,
                             const gchar *title);

### anjuta_status_set_splash ()

    void
    anjuta_status_set_splash (AnjutaStatus *status,
                              const gchar *splash_file,
                              gint splash_progress_position);

### anjuta_status_disable_splash ()

    void
    anjuta_status_disable_splash (AnjutaStatus *status,
                                  gboolean disable_splash);

### anjuta_status_progress_add_ticks ()

    void
    anjuta_status_progress_add_ticks (AnjutaStatus *status,
                                      gint ticks);

### anjuta_status_progress_tick ()

    void
    anjuta_status_progress_tick (AnjutaStatus *status,
                                 GdkPixbuf *icon,
                                 const gchar *text);

### anjuta_status_progress_increment_ticks ()

    void
    anjuta_status_progress_increment_ticks
                                   (AnjutaStatus *status,
                                    gint ticks,
                                    const gchar *text);

### anjuta_status_progress_pulse ()

    void
    anjuta_status_progress_pulse (AnjutaStatus *status,
                                  const gchar *text);

### anjuta_status_progress_reset ()

    void
    anjuta_status_progress_reset (AnjutaStatus *status);

## Types and Values

### AnjutaStatusPriv

    typedef struct _AnjutaStatusPriv AnjutaStatusPriv;

## Signal Details

### The `“busy”` signal

    void
    user_function (AnjutaStatus *anjutastatus,
                   gboolean      arg1,
                   gpointer      user_data)

Flags: Run Last